/* $Workfile: LOGF.C $       $Revision: 1 $      $Modtime: 6/23/98 3:31p $  */
/*------------------------------------------------------- File Description -*\

  Copyright (C) Odin TeleSystems Inc., 1994-1997

  DESCRIPTION

    Functions for writing to the log file.

\*--------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

#include "balder.h"

#include "logf.h"



/*--------------------------------------------------------------------------*\
  MACROS
\*--------------------------------------------------------------------------*/



/*--------------------------------------------------------------------------*\
  GLOBAL VARIABLES
\*--------------------------------------------------------------------------*/
FILE *logF = NULL;


/*--------------------------------------------------------------------------*\
  PRIVATE VARIABLES
\*--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*\
  PRIVATE FUNCTION PROTOTYPES
\*--------------------------------------------------------------------------*/



void logBldRc(
/*---------------------------------------------------- Function Description -*\

  SYNOPSIS

    Logs a Balder Error message.

\*---------------------------------------------------------------------------*/
  BldRc rc
)
{
  #ifdef B8_LITE
  logf("Error #%d\n", (int) rc);
  #else
  logf("Error #%d: %s\n", (int) rc, bldGetErrMsg(rc));
  #endif
}

void logf(
/*---------------------------------------------------- Function Description -*\

  SYNOPSIS

    Log a variable argument formatted string to the console and to the
    log file.

\*---------------------------------------------------------------------------*/
  char *formatStr,
  ...
)
{
  va_list argList;
  va_start(argList, formatStr);

  vfprintf(stdout, formatStr, argList);
  vfprintf(logF,   formatStr, argList);

  va_end(argList);

  fflush(logF);

}





/* $History: LOGF.C $
 * 
 * *****************  Version 1  *****************
 * User: Hanz         Date: 6/23/98    Time: 3:44p
 * Created in $/Products/Bld8-20/Design/Drv/Dos/Bc/Apps/B8Demo
 *
 */

/*--------------------------------------------------------------------------*\

  Copyright (C) Odin TeleSystems Inc., 1994-1997


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

\*--------------------------------------------------------------------------*/
